Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 450920 - Error when trying to print a man page
Summary: Error when trying to print a man page
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-11 18:13 UTC by George Notaras
Modified: 2009-06-29 01:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-29 01:34:38 UTC


Attachments (Terms of Use)

Description George Notaras 2008-06-11 18:13:57 UTC
Description of problem:
Having loaded a man page in Yelp with:

  yelp 'man:groff(1)'

and trying to print it from within the application (yelp), it results in the
following error:

** Yelp:ERROR:(yelp-document.c:217):yelp_document_get_page: assertion failed:
(document != NULL && YELP_IS_DOCUMENT (document))

Version-Release number of selected component (if applicable):
2.22.1-1.fc9

How reproducible:
always

Comment 2 Bug Zapper 2009-06-10 01:33:37 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Matthew Barnes 2009-06-21 13:24:21 UTC
This seems to be working okay for me on Fedora 11.  Can you confirm?

Comment 4 George Notaras 2009-06-22 20:59:54 UTC
I am using CentOS on my desktop and laptop computers during the last months, so I am afraid I cannot test it.

If it works in F11, I would say that  chances are it has been fixed because at the time I had reported this bug it always failed.

Comment 5 Matthew Barnes 2009-06-29 01:34:38 UTC
Closing this as WORKSFORME, but feel free to reopen it if you still see it in Fedora 11 or later.


Note You need to log in before you can comment on or make changes to this bug.